Last Comment Bug 892255 - Remove "Revocation Lists" button from Advanced > Certificates options
: Remove "Revocation Lists" button from Advanced > Certificates options
Status: RESOLVED FIXED
: dev-doc-needed, useless-UI
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 25.0
Assigned To: rsx11m
:
Mentors:
Depends on: 867465
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 17:17 PDT by rsx11m
Modified: 2013-07-23 04:36 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
unaffected
+
fixed
fixed


Attachments
Simple patch (4.33 KB, patch)
2013-07-10 18:07 PDT, rsx11m
bwinton: review+
bwinton: ui‑review+
Details | Diff | Review
Branch patch (3.34 KB, patch)
2013-07-10 18:09 PDT, rsx11m
no flags Details | Diff | Review
Patch for checkin (5.08 KB, patch)
2013-07-14 13:20 PDT, rsx11m
rsx11m.pub: review+
rsx11m.pub: ui‑review+
Details | Diff | Review
Patch for comm-aurora (4.09 KB, patch)
2013-07-14 13:25 PDT, rsx11m
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description rsx11m 2013-07-10 17:17:06 PDT
+++ This bug was initially created as a clone of Bug #886099 +++

Bug 867465 removed the window that the button opens.
Comment 1 rsx11m 2013-07-10 18:07:56 PDT
Created attachment 773727 [details] [diff] [review]
Simple patch

Removes the non-functional button along with its JavaScript function.
Comment 2 rsx11m 2013-07-10 18:09:50 PDT
Created attachment 773728 [details] [diff] [review]
Branch patch

Identical patch but without the changes to advanced.dtd as this will need to land for the 24.0 branch to avoid a useless UI sticking around.
Comment 3 Blake Winton (:bwinton) (:☕️) 2013-07-14 11:26:08 PDT
Comment on attachment 773727 [details] [diff] [review]
Simple patch

>+++ b/mail/components/preferences/advanced.js
>@@ -359,26 +359,16 @@ var gAdvancedPane = {
>   /**
>-   * Display a dialog which describes the user's CRLs.
>-   */
>-  showCRLs: function ()

Is this function used by any add-ons?  Should we do some sort of dev-doc or outreach to those authors?

>+++ b/mail/components/preferences/advanced.xul
>@@ -442,20 +439,16 @@
>           <hbox>
>             <button id="viewCertificatesButton"
>                     label="&viewCertificates.label;"
>                     accesskey="&viewCertificates.accesskey;"
>                     oncommand="gAdvancedPane.showCertificates();"
>                     preference="security.disable_button.openCertManager"/>
>-            <button id="viewCRLButton"
>-                    label="&viewCRLs.label;" accesskey="&viewCRLs.accesskey;"
>-                    oncommand="gAdvancedPane.showCRLs();"
>-                    preference="security.OCSP.disable_button.managecrl"/>
>             <button id="verificationButton"
>                     label="&validation.label;" accesskey="&validation.accesskey;"
>                     oncommand="gAdvancedPane.showOCSP();"/>
> #ifdef XP_MACOSX
>           </hbox>
>           <hbox>
> #endif
>             <button id="viewSecurityDevicesButton"

I think we should move the "Security Devices" button up into the previous hbox, which I think we can do by just removing the three "#ifdef XP_MACOSX" blocks.

Aside from that, I'm pretty happy with the patch, so r=me and ui-r=me with those changes.
Comment 4 rsx11m 2013-07-14 13:20:43 PDT
Created attachment 775378 [details] [diff] [review]
Patch for checkin

(In reply to Blake Winton (:bwinton) from comment #3)
> Is this function used by any add-ons?  Should we do some sort of dev-doc or
> outreach to those authors?

I don't know, but it's a Core feature that was removed. Thus, I'd think that it's somewhere mentioned in the documentation there, and leaving the function in without it doing anything wouldn't make much sense.

> I think we should move the "Security Devices" button up into the previous hbox,
> which I think we can do by just removing the three "#ifdef XP_MACOSX" blocks.

Done. I don't have a Mac to test if it fits, but I assume that you've done so or can otherwise estimate that it won't be a problem.
Comment 5 rsx11m 2013-07-14 13:25:40 PDT
Created attachment 775380 [details] [diff] [review]
Patch for comm-aurora

[Approval Request Comment]
Regression caused by (bug #): Bug 867465 (feature removal)
User impact if declined: User would see a non-functional button in prefpane
Testing completed (on c-c, etc.): tested on comm-central build
Risk to taking this patch (and alternatives if risky): very low
String changes: none in this patch (now redundant strings removed with 25.0)
Comment 6 rsx11m 2013-07-14 13:26:25 PDT
Push of attachment 775378 [details] [diff] [review] on comm-central, please.
Comment 7 Ryan VanderMeulen [:RyanVM] 2013-07-16 08:36:47 PDT
https://hg.mozilla.org/comm-central/rev/7847008544a1
Comment 8 Mark Banner (:standard8) 2013-07-23 04:36:20 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/08d90e7c36c4

Note You need to log in before you can comment on or make changes to this bug.